import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'tradeSharingCmdType',
  standalone: true
})
export class TradeSharingCmdTypePipe implements PipeTransform {

  transform(status: number): string {
    switch (Number(status)) {
      case 1:
        return '分账';
      case 2:
        return '分账撤销';
      case 3:
        return '分账回退';
      default:
        return '未知';
    }
  }

}
